/*global require, exports*/
var util = require('util'),
    _ = require('underscore'),
    extendWithGettersAndSetters = require('../util/extendWithGettersAndSetters'),
    Relation = require('./Relation');

function HtmlCacheManifest(config) {
    Relation.call(this, config);
}

util.inherits(HtmlCacheManifest, Relation);

extendWithGettersAndSetters(HtmlCacheManifest.prototype, {
    get href() {
        return this.node.getAttribute('manifest') || undefined;
    },

    set href(href) {
        this.node.setAttribute('manifest', href);
    },

    attach: function (asset, position, adjacentRelation) {
        this.from = asset;
        this.node = this.from.parseTree.documentElement; // Always uses <html manifest='...'>
        Relation.prototype.attach.apply(this, arguments);
    },

    detach: function () {
        this.node.removeAttribute('manifest');
        delete this.node;
        Relation.prototype.detach.call(this);
    }
});

module.exports = HtmlCacheManifest;
